package com.sifang.modules.sunshine.financialManagement.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import org.hibernate.annotations.GenericGenerator;

@Entity
@Table(name = "crm_order_site_settlement")
public class CrmOrderSiteSettlement implements Serializable {

	private static final long serialVersionUID = 1L;
	private String id;
	private String orderId;
	private String type;
	private Date settlementTime;
	private String createBy;
	private String createName;
	private String remarks;
	private String siteId;
	private String jzFlag;
	private String siteBillingId;
	private BigDecimal serviceCosts;
	private BigDecimal rewardCosts;
	private BigDecimal otherCost;
	private BigDecimal mileageCost;
	private String costDetail;
	private String serviceStep;
	/**
	 * 工单派工结算
	 */
	public static final String TYPE_NEW = "0";
	/**
	 * 新增结算。
	 */
	public static final String TYPE_ADD = "1";

	/**
	 * 未结账
	 */
	public static final String PRE_JZ_FLAG = "0";
	/**
	 * 已结账
	 */
	public static final String AFTER_JZ_FLAG = "1";

	private static final BigDecimal COST = new BigDecimal("0.00");

	public CrmOrderSiteSettlement() {
		super();
		this.serviceCosts=COST;
		this.rewardCosts= COST;
		this.otherCost = COST;
		this.mileageCost = COST;
	}

	public String getServiceStep() {
		return serviceStep;
	}

	public void setServiceStep(String serviceStep) {
		this.serviceStep = serviceStep;
	}

	@Id
	@GeneratedValue(generator = "idGenerator")
	@GenericGenerator(name = "idGenerator", strategy = "uuid")
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getOrderId() {
		return orderId;
	}

	public void setOrderId(String orderId) {
		this.orderId = orderId;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public Date getSettlementTime() {
		return settlementTime;
	}

	public void setSettlementTime(Date settlementTime) {
		this.settlementTime = settlementTime;
	}

	public String getCreateBy() {
		return createBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	public String getCreateName() {
		return createName;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getSiteId() {
		return siteId;
	}

	public void setSiteId(String siteId) {
		this.siteId = siteId;
	}

	public String getJzFlag() {
		return jzFlag;
	}

	public void setJzFlag(String jzFlag) {
		this.jzFlag = jzFlag;
	}

	public String getSiteBillingId() {
		return siteBillingId;
	}

	public void setSiteBillingId(String siteBillingId) {
		this.siteBillingId = siteBillingId;
	}

	public BigDecimal getServiceCosts() {
		return serviceCosts;
	}

	public void setServiceCosts(BigDecimal serviceCosts) {
		this.serviceCosts = serviceCosts;
	}

	public BigDecimal getRewardCosts() {
		return rewardCosts;
	}

	public void setRewardCosts(BigDecimal rewardCosts) {
		this.rewardCosts = rewardCosts;
	}

	public BigDecimal getOtherCost() {
		return otherCost;
	}

	public void setOtherCost(BigDecimal otherCost) {
		this.otherCost = otherCost;
	}


	public String getCostDetail() {
		return costDetail;
	}

	public void setCostDetail(String costDetail) {
		this.costDetail = costDetail;
	}

	public BigDecimal getMileageCost() {
		return mileageCost;

	}

	public void setMileageCost(BigDecimal mileageCost) {
		this.mileageCost = mileageCost;
	}


}
